package de.emprise.taglib;

// import needed for class "TagExtraInfo"
import javax.servlet.jsp.tagext.*;

public class SetScriptVarTEI extends TagExtraInfo {

  // Class version string
  public static final String CLASS_VERSION = "SetScriptVarTEI.java,v 1.0, 2001-07-19, Michael Maretzke";

  public VariableInfo [] getVariableInfo (TagData data) {
    String type = (String) data.getAttribute("type");
    
    if (type == null) type = "java.lang.String";
 
    return new VariableInfo [] { 
	    new VariableInfo(data.getAttributeString("name"), type, true, VariableInfo.AT_END)
    };
  }

}
