<%@ taglib uri="/empTaglib" prefix="emp" %>
<emp:setvar name="PageName" value="Michael's great empTaglib Demonstration" />

<html>
<head><title><%= PageName %></title></head>
<body>



<h1><%= PageName %></h1>

<br>

<table border="1">
  <tr>
    <th>Input</th>
    <th>Result</th>
  </tr>
  <tr>
    <td>&lt;emp:simple /&gt;</td>
    <td><emp:simple /></td>
  </tr>
  <tr>
    <td>&lt;emp:simplewa attribute="yes" /&gt;</td>
    <td><emp:simplewa attribute="yes" /></td>
  </tr>
  <tr>
    <td>&lt;emp:simplewa attribute="yes" notneeded="no" /&gt;</td>
    <td><emp:simplewa attribute="yes" notneeded="no" /></td>
  </tr>
  <tr>
    <td>&lt;emp:setvar name="test" value="Michael's Test" /&gt;</td>
    <td><emp:setvar name="test" value="Michael's Test" /></td>
  </tr>
  <tr>
    <td>&lt;emp:simplewa attribute="&lt;%=test%&gt;" /&gt;</td>
    <td><emp:simplewa attribute="<%=test%>" /></td>
  </tr>
  <tr>
    <td>&lt;emp:setvar name="test1" value="123" /&gt;</td>
    <td><emp:setvar name="test1" value="123" /></td>
  </tr>
  <tr>
    <td>&lt;emp:setvar name="test2" value="&lt;emp:getvar name="test1" /&gt;" /&gt;</td>
    <td><emp:setvar name="test2" value="<%= test1 %>" /></td>
  </tr>
  <tr>
    <td>
      &lt;emp:if condition="&lt;%= (1 == 1)%&gt;"><br>
        &lt;emp:then&gt;true&lt;/emp:then&gt;<br>
      &lt;/emp:if&gt;<br>
    <td>
      <emp:if condition="<%= (1 == 1)%>">
        <emp:then>true</emp:then>
      </emp:if>
    </td>
  </tr>
  <tr>
    <td>
      &lt;emp:setvar name="abc" value="abe" /&gt;<br>
      &lt;emp:setvar name="def" value="abc" /&gt;<br>
      <br>
      &lt;emp:if condition="&lt;%= (abc.equals(def))%&gt;"&gt;<br>
        &lt;emp:then&gt;true&lt;/emp:then&gt;<br>
        &lt;emp:else&gt;false&lt;/emp:else&gt;<br>
      &lt;/emp:if&gt;<br>
    </td>      
   <td>
      <emp:setvar name="abc" value="abe" />
      <emp:setvar name="def" value="abc" />
      
      <emp:if condition="<%= (abc.equals(def))%>">
        <emp:then>true</emp:then>
        <emp:else>false</emp:else>
      </emp:if>
    </td>
  </tr>
  <tr>
    <td>
      &lt;emp:setvar name="surname" value="Michael" /&gt;<br>
      &lt;emp:setvar name="state" value="member" /&gt;<br>
      <br>
      &lt;emp:if condition="&lt;%= (state.equals("member"))%&gt;"&gt;<br>
        &lt;emp:then&gt;Welcome, &lt;%= surname %&gt;! You're a member.&lt;/emp:then&gt;<br>
        &lt;emp:else&gt;Welcome !&lt;/emp:else&gt;<br>
      &lt;/emp:if&gt;<br>
    <td>
      <emp:setvar name="surname" value="Michael" />
      <emp:setvar name="state" value="member" />
      
      <emp:if condition="<%= (state.equals("member"))%>">
        <emp:then>Welcome, <%= surname %>! You're a member.</emp:then>
        <emp:else>Welcome !</emp:else>
      </emp:if>
    </td>
  </tr>


  
</body>
</html>

